atkmm: Atk Namespace Reference

atkmm 2.36.1

Classes | Typedefs | Enumerations | Functions
Atk Namespace Reference

The ATK interface which provides standard mechanism for manipulating hyperlinks. More...

## Classes
class | Action
| The ATK interface provided by UI components which the user can activate/interact with, This should be implemented by instances of Atk::Object classes with which the user can interact directly, i.e. More...
class | Component
| The ATK interface provided by UI components which occupy a physical area on the screen. More...
class | Document
| The ATK interface which allows access to a DOM associated with on object. More...
class | EditableText
| The ATK interface implemented by components containing user-editable text content. More...
class | Hyperlink
| Encapsulates a link or set of links in a hypertext document. More...
class | Hypertext
class | Image
| The ATK Interface implemented by components which expose image or pixmap content on-screen. More...
class | Implementor
class | NoOpObject
| An Atk::NoOpObject is an Atk::Object which purports to implement all ATK interfaces. More...
class | Object
| The base object class for the Accessibility Toolkit API. More...
class | ObjectAccessible
| This object class is derived from AtkObject and can be used as a basis implementing accessible objects. More...
class | Range
| A given range or subrange, to be used with Atk::Value. More...
class | Relation
| An Atk::Relation describes a relation between an object and one or more other objects. More...
class | RelationSet
| A set of Atk::Relations, normally the set of AtkRelations which an Atk::Object has. More...
class | Selection
| The ATK interface implemented by container objects whose Atk::Object children can be selected. More...
class | StateSet
| An AtkStateSet determines a component's state set. More...
class | StreamableContent
| The ATK interface which provides access to streamable content. More...
class | Table
| The ATK interface implemented for UI components which contain tabular or row/column information. More...
class | Attribute
struct | AttributeTraits
class | TextAttribute
class | Text
| The ATK interface implemented by components with text content. More...
class | Value
| The ATK interface implemented by valuators and components which display or select a value from a bounded range of values. More...

## Typedefs
typedef guint64 | State

## Enumerations
enum class | CoordType { SCREEN , WINDOW , PARENT }
| Specifies how xy coordinates are to be interpreted. More...
enum class | Layer { INVALID , BACKGROUND , CANVAS , WIDGET , MDI , POPUP , OVERLAY , WINDOW }
| Describes the layer of a component. More...
enum class | Role { INVALID , ACCEL_LABEL , ALERT , ANIMATION , ARROW , CALENDAR , CANVAS , CHECK_BOX , CHECK_MENU_ITEM , COLOR_CHOOSER , COLUMN_HEADER , COMBO_BOX , DATE_EDITOR , DESKTOP_ICON , DESKTOP_FRAME , DIAL , DIALOG , DIRECTORY_PANE , DRAWING_AREA , FILE_CHOOSER , FILLER , FONT_CHOOSER , FRAME , GLASS_PANE , HTML_CONTAINER , ICON , IMAGE , INTERNAL_FRAME , LABEL , LAYERED_PANE , LIST , LIST_ITEM , MENU , MENU_BAR , MENU_ITEM , OPTION_PANE , PAGE_TAB , PAGE_TAB_LIST , PANEL , PASSWORD_TEXT , POPUP_MENU , PROGRESS_BAR , PUSH_BUTTON , RADIO_BUTTON , RADIO_MENU_ITEM , ROOT_PANE , ROW_HEADER , SCROLL_BAR , SCROLL_PANE , SEPARATOR , SLIDER , SPLIT_PANE , SPIN_BUTTON , STATUSBAR , TABLE , TABLE_CELL , TABLE_COLUMN_HEADER , TABLE_ROW_HEADER , TEAR_OFF_MENU_ITEM , TERMINAL , TEXT , TOGGLE_BUTTON , TOOL_BAR , TOOL_TIP , TREE , TREE_TABLE , UNKNOWN , VIEWPORT , WINDOW , HEADER , FOOTER , PARAGRAPH , RULER , APPLICATION , AUTOCOMPLETE , EDITBAR , EMBEDDED , ENTRY , CHART , CAPTION , DOCUMENT_FRAME , HEADING , PAGE , SECTION , REDUNDANT_OBJECT , FORM , LINK , INPUT_METHOD_WINDOW , TABLE_ROW , TREE_ITEM , DOCUMENT_SPREADSHEET , DOCUMENT_PRESENTATION , DOCUMENT_TEXT , DOCUMENT_WEB , DOCUMENT_EMAIL , COMMENT , LIST_BOX , GROUPING , IMAGE_MAP , NOTIFICATION , INFO_BAR , LEVEL_BAR , TITLE_BAR , BLOCK_QUOTE , AUDIO , VIDEO , DEFINITION , ARTICLE , LANDMARK , LOG , MARQUEE , MATH , RATING , TIMER , DESCRIPTION_LIST , DESCRIPTION_TERM , DESCRIPTION_VALUE , STATIC , MATH_FRACTION , MATH_ROOT , SUBSCRIPT , SUPERSCRIPT , FOOTNOTE , CONTENT_DELETION , CONTENT_INSERTION , MARK , SUGGESTION , LAST_DEFINED }
| Describes the role of an object. More...
enum class | StateType { INVALID , ACTIVE , ARMED , BUSY , CHECKED , DEFUNCT , EDITABLE , ENABLED , EXPANDABLE , EXPANDED , FOCUSABLE , FOCUSED , HORIZONTAL , ICONIFIED , MODAL , MULTI_LINE , MULTISELECTABLE , OPAQUE , PRESSED , RESIZABLE , SELECTABLE , SELECTED , SENSITIVE , SHOWING , SINGLE_LINE , STALE , TRANSIENT , VERTICAL , VISIBLE , MANAGES_DESCENDANTS , INDETERMINATE , TRUNCATED , REQUIRED , INVALID_ENTRY , SUPPORTS_AUTOCOMPLETION , SELECTABLE_TEXT , DEFAULT , ANIMATED , VISITED , CHECKABLE , HAS_POPUP , HAS_TOOLTIP , READ_ONLY , LAST_DEFINED }
| The possible types of states of an object. More...
enum class | BuiltinTextAttribute { INVALID , LEFT_MARGIN , RIGHT_MARGIN , INDENT , INVISIBLE , EDITABLE , PIXELS_ABOVE_LINES , PIXELS_BELOW_LINES , PIXELS_INSIDE_WRAP , BG_FULL_HEIGHT , RISE , UNDERLINE , STRIKETHROUGH , SIZE , SCALE , WEIGHT , LANGUAGE , FAMILY_NAME , BG_COLOR , FG_COLOR , BG_STIPPLE , FG_STIPPLE , WRAP_MODE , DIRECTION , JUSTIFICATION , STRETCH , VARIANT , STYLE , TEXT_POSITION , LAST_DEFINED }
| Describes the text attributes supported. More...

## Functions
void | init ()
| Initialize atkmm. More...

## Detailed Description

The ATK interface which provides standard mechanism for manipulating hyperlinks.

## Typedef Documentation

## ◆ State

typedef guint64 Atk::State

## Function Documentation

## ◆ init()

void Atk::init | ( |  | ) |

Initialize atkmm.

You may call this more than once. You do not need to call this if you are using Gtk::Main, because it calls this for you.